
create_clock -name "clk_bot1" -period 20.000ns [get_ports {clk_bot1}]

derive_pll_clocks

set_false_path -from [get_clocks *|vga_pll|*|divclk] -to [get_clocks *|bus_pll|*|divclk]
set_false_path -from [get_clocks *|bus_pll|*|divclk] -to [get_clocks *|vga_pll|*|divclk]

# Prevent unconstrained path warnings by setting false paths
set_false_path -from * -to [ get_ports vga_* ]
set_false_path -from * -to [ get_ports GPIO_LED* ]
set_false_path -from * -to [ get_ports hps_0_hps_io_* ]
set_false_path -from [ get_ports hps_0_hps_io_* ] -to *

# Prevent unconstrained clock warning by setting clock period
create_clock -name "dummy_clk1" -period 1000ns [get_ports {hps_0_hps_io_hps_io_usb1_inst_CLK}]
create_clock -name "dummy_clk2" -period 1000ns [get_ports {hps_0_hps_io_hps_io_i2c1_inst_SCL}]
